;################################################################################
;#										#
;# libdfl - Dataflash routines							#
;# copyright (c) 2007 Joerg Wolfram (joerg@jcwolfram.de)			#
;#										#
;# This library is free software; you can redistribute it and/or		#
;# modify it under the terms of the GNU Lesser General Public			#
;# License as published by the Free Software Foundation; either			#
;# version 2 of the License, or (at your option) any later version.		#
;#										#
;# This library is distributed in the hope that it will be useful,		#
;# but WITHOUT ANY WARRANTY; without even the implied warranty of		#
;# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the GNU		#
;# Lesser General Public License for more details.				#
;#										#
;# You should have received a copy of the GNU Lesser General Public		#
;# License along with this library; if not, write to the			#
;# Free Software Foundation, Inc., 59 Temple Place - Suite 330,			#
;# Boston, MA 02111-1307, USA.							#
;#										#
;################################################################################

.macro libdfl_format
    call	libdfl_format
.endm

.macro libdfl_create
    call	libdfl_create
.endm

.macro libdfl_delete
    call	libdfl_del
.endm

.macro libdfl_read
    call	libdfl_read
.endm

.macro libdfl_write
    call	libdfl_write
.endm

.macro libdfl_free
    call	libdfl_cfree
.endm

.macro libdfl_size
    call	libdfl_size
.endm

.macro libdfl_maxpage
    call	libdfl_maxpage
.endm

.macro libdfl_checkformat
    call	libdfl_cif
.endm

.macro libdfl_gettype
    call	libdfl_ghead
    call	libdfl_gtype
.endm

.macro libdfl_gword
    call	libdfl_gdword
.endm
